Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class InvokerServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.catalina.servlets.InvokerServlet

public final class InvokerServlet
extends javax.servlet.http.HttpServlet
implements ContainerServlet

The default servlet-invoking servlet for most web applications, used to serve requests to servlets that have not been registered in the web application deployment descriptor.

Version:
  $Revision: 1.13.2.2 $ $Date: 2002/02/16 01:09:51 $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Constructor Summary
`InvokerServlet()`

Method Summary
`void` | `destroy()` Finalize this servlet.
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `doHead(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a HEAD request for the specified resource.
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a POST request for the specified resource.
`Wrapper` | `getWrapper()` Return the Wrapper with which we are associated.
`void` | `init()` Initialize this servlet.
`void` | `serveRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Serve the specified request, creating the corresponding response.
`void` | `setWrapper(Wrapper wrapper)` Set the Wrapper with which we are associated.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvokerServlet

    public InvokerServlet()

Method Detail

### getWrapper

    public Wrapper getWrapper()

  Return the Wrapper with which we are associated.
  Specified by:
    getWrapper in interface ContainerServlet

### setWrapper

    public void setWrapper(Wrapper wrapper)

  Set the Wrapper with which we are associated.
  Specified by:
    setWrapper in interface ContainerServlet
  Parameters:
    `wrapper` - The new wrapper

### destroy

    public void destroy()

  Finalize this servlet.
  Overrides:
    destroy in class javax.servlet.GenericServlet

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.
  Overrides:
    doGet in class javax.servlet.http.HttpServlet
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    java.io.IOException - if an input/output error occurs
    javax.servlet.ServletException - if a servlet-specified error occurs

### doHead

    public void doHead(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process a HEAD request for the specified resource.
  Overrides:
    doHead in class javax.servlet.http.HttpServlet
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    java.io.IOException - if an input/output error occurs
    javax.servlet.ServletException - if a servlet-specified error occurs

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws java.io.IOException,
                       javax.servlet.ServletException

  Process a POST request for the specified resource.
  Overrides:
    doPost in class javax.servlet.http.HttpServlet
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    java.io.IOException - if an input/output error occurs
    javax.servlet.ServletException - if a servlet-specified error occurs

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.
  Overrides:
    init in class javax.servlet.GenericServlet

### serveRequest

    public void serveRequest(javax.servlet.http.HttpServletRequest request,
                             javax.servlet.http.HttpServletResponse response)
                      throws java.io.IOException,
                             javax.servlet.ServletException

  Serve the specified request, creating the corresponding response. After the first time a particular servlet class is requested, it will be served directly (like any registered servlet) because it will have been registered and mapped in our associated Context.
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    java.io.IOException - if an input/output error occurs
    javax.servlet.ServletException - if a servlet-specified error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.